%define upstream_name    Data-BitStream-XS
%define upstream_version 0.08

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    A bit stream class including integer coding methods
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(XSLoader)
BuildRequires: perl-devel

%description
An XS implementation providing read/write access to bit streams. This
includes many integer coding methods as well as straightforward ways to
implement new codes.

Bit streams are often used in data compression and in embedded products
where memory is at a premium.

This code provides a nearly drop-in XS replacement for the the
Data::BitStream manpage module. If you do not need the flexibility of the
Moose/Mouse/Moo system, you can use this directly.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc META.json TODO LICENSE README META.yml Changes
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Tue Jul 11 2017 bb2 <bb2> - 0.80.0-5pclos2017
- rebuild against updates

